Subject: bug#46491: [feature/pgtk] Unused macro warning in image.c without ImageMagick

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Feb 2021 17:38:06 +0200

> Date: Sun, 14 Feb 2021 10:03:25 +0000
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > I wanted to make imagemagick images not blurry in image-mode on
> > scale x2.0 monitor.
> > 
> > With the exclusion, imagemagick generates scaled image pixel data,
> > and the image is rendered twice in size, so it is blurry.
> > Without the exclusion, imagemagick generates original image pixel data,
> > and the image may not be enlarged (but shrinked), so it may not be blurry.
> > 
> > For other than imagemagick, like png, original image pixel data is generated,
> > and it is not blurry on scale x2.0 monitor.
> 
> I am aware of this, I see the same thing on NS, but when native
> transforms were introduced we decided that when a user asks
> imagemagick to modify an image, imagemagick should actually do the
> modifications and Emacs will just display the results.
> 
> I don't know that it's important, though.

I think it's quite important to have Emacs behave the same on all
platforms.  While we no longer recommend to build Emacs with
ImageMagick, those who do build with it should be able to use its
transforms, and disabling that is not necessarily a good idea.
Instead of disabling ImageMagick transforms, why not tell users to
build Emacs without ImageMagick?